> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get price

> Get price by id.



## OpenAPI

````yaml get /prices/{priceId}
openapi: 3.0.1
info:
  title: Plude
  description: Headless subscription management and recurring billing.
  termsOfService: https://plude.com/terms
  contact:
    name: Corporate Contact
    url: https://plude.com/contact
  license:
    name: License
    url: https://plude.com/license
  version: v4.2024.7.1
servers: []
security:
  - Bearer: []
paths:
  /prices/{priceId}:
    get:
      tags:
        - Prices
      summary: Get price
      description: Get price by id.
      parameters:
        - name: priceId
          in: path
          description: ''
          required: true
          schema:
            type: string
            format: uuid
        - name: x-environment
          in: header
          description: >-
            Configure which environment the request will handle. If the provided
            credentials do not allow access to this specified environment, a 403
            Forbidden response is returned.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Price'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    Price:
      type: object
      properties:
        id:
          type: string
          description: Unique id for the price.
          format: uuid
          readOnly: true
        name:
          type: string
          description: Name of the price.
          nullable: true
          readOnly: true
        description:
          type: string
          description: >-
            Internal description for this price, not shown to customers.
            Typically notes for your team.
          nullable: true
        priceModel:
          $ref: '#/components/schemas/PriceModel'
        purchase:
          $ref: '#/components/schemas/PurchaseType'
        termCount:
          type: integer
          description: Billing cycle's term frequency (count).
          format: int32
        termUnit:
          $ref: '#/components/schemas/TermUnit'
        pricing:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PricingEntry'
          nullable: true
          readOnly: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    PriceModel:
      enum:
        - fee
        - volume
        - graduated
        - package
      type: string
    PurchaseType:
      enum:
        - one_time
        - recurring
      type: string
    TermUnit:
      enum:
        - day
        - week
        - month
        - year
      type: string
    PricingEntry:
      type: object
      properties:
        unitAmount:
          type: integer
          format: int64
          nullable: true
        feeAmount:
          type: integer
          format: int64
          nullable: true
        tiers:
          type: array
          items:
            $ref: '#/components/schemas/PriceTier'
          nullable: true
      additionalProperties: false
    PriceTier:
      type: object
      properties:
        unitAmount:
          type: integer
          format: int64
          readOnly: true
        feeAmount:
          type: integer
          format: int64
          readOnly: true
        upTo:
          type: integer
          format: int32
          readOnly: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below.\r\n\r\nExample: \"Bearer 12345abcdef\""
      scheme: Bearer

````